Subject: bug#7647: Diagnose invalid primary/directory combinations

From: Ralf Wildenhues <[email-masked]>
Date: Wed, 15 Dec 2010 19:26:12 +0100

Hello, and dropping automake@,

* Stefano Lattarini wrote on Wed, Dec 15, 2010 at 12:27:43PM CET:
> The list in `%standard_prefix' is used only for diagnosing invalid
> primary/directory combinations, such as `data_PROGRAMS' or
> 'lib_HEADERS'. For more info, see test `dirforbid.test', PR/294 at
> <http://sources.redhat.com/cgi-bin/gnatsweb.pl?database=automake>,
> and commit e87d851a863a7c321af8bc7b2b36aff5e072ff94 (05/03/2002).
> 
> That said, you might have uncovered a bug in automake, because
> something like:
>   doc_LIBRARIES = libfoo.a
> should warn IMHO, but it currently doesn't.

Agreed.  Extending dirforbid.test and fixing fallout would be good.

Thanks,
Ralf